package com.chenyang.nse.bussiness.entity.orm.table.core.findCharts;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_FINDCHARTS_ONE"
)
public class EchartsOne extends TBaseEntity {
   private String sensitiveNumber;
   private String nonsensitiveNumber;
   private String taskName;
   private String taskid;

   public EchartsOne(String taskid) {
      this.taskid = taskid;
   }

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getSensitiveNumber() {
      return this.sensitiveNumber;
   }

   public void setSensitiveNumber(String sensitiveNumber) {
      this.sensitiveNumber = sensitiveNumber;
   }

   public String getNonsensitiveNumber() {
      return this.nonsensitiveNumber;
   }

   public void setNonsensitiveNumber(String nonsensitiveNumber) {
      this.nonsensitiveNumber = nonsensitiveNumber;
   }

   public String getTaskName() {
      return this.taskName;
   }

   public void setTaskName(String taskName) {
      this.taskName = taskName;
   }

   public EchartsOne(String sensitiveNumber, String nonsensitiveNumber, String taskName) {
      this.sensitiveNumber = sensitiveNumber;
      this.nonsensitiveNumber = nonsensitiveNumber;
      this.taskName = taskName;
   }

   public EchartsOne() {
   }
}
